Subject: bug#5844: closed (Re: bug#5844: Feature Request: ccmp feature for Indic Languages...)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 03 Jun 2021 11:15:02 +0000

Your bug report

#5844: Feature Request: ccmp feature for Indic Languages...

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5844: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5844
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5844: Feature Request: ccmp feature for Indic Languages...
From: Eli Zaretskii <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 03 Jun 2021 14:14:08 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 03 Jun 2021 11:11:37 +0200
> Cc: [email-masked],
>  പ്രവീണ്‍|Praveen എ|A
>  <[email-masked]>
> 
> Naveen Kumar <[email-masked]> writes:
> 
> > References: 
> > 1. https://bugzilla.redhat.com/show_bug.cgi?id=543906
> >
> > 2. https://bugzilla.redhat.com/show_bug.cgi?id=497090
> >
> > 3. http://bugs.icu-project.org/trac/ticket/7601
> >
> > 4. https://bugs.freedesktop.org/show_bug.cgi?id=27485
> >
> > Decomposition is sometimes required for contextual alternates. Pango as well as
> > uniscribe, seem to have this feature for indic (CTL scripts).
> 
> (I'm going through old bug reports that unfortunately got no response at
> the time.)
> 
> This was 11 years ago, and Emacs has in the meantime changed a lot how
> various scripts are composed.  I haven't looked closely at the URLs
> included -- is this still an issue in recent Emacs versions?

I've read all the references, and I don't understand why this issue is
in our bug tracker.  The referenced issues were raised against fonts
and/or shaping engines, and Emacs is just the user of those.  In
addition, my reading of the issues is that HarfBuzz processes these
scripts and fonts correctly, and since HarfBuzz is nowadays the
default shaping engine in Emacs (including on MS-Windows), Emacs
should be fine in this regard.

So I think there's nothing here for us to do, and I'm closing this bug
report.

Thanks.

Subject: Feature Request: ccmp feature for Indic Languages...
From: Naveen Kumar <[email-masked]>
To: [email-masked]
Cc: പ്രവീണ്‍|Praveen എ|A<[email-masked]>
Date: Tue, 6 Apr 2010 18:18:52 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

References:
1. https://bugzilla.redhat.com/show_bug.cgi?id=543906

2. https://bugzilla.redhat.com/show_bug.cgi?id=497090

3. http://bugs.icu-project.org/trac/ticket/7601

4. https://bugs.freedesktop.org/show_bug.cgi?id=27485

Decomposition is sometimes required for contextual alternates. Pango as well as
uniscribe, seem to have this feature for indic (CTL scripts).

Thanks & regards
Naveen Kumar
Mobile : +91 9987231547

( http://naveenk.wikidot.com )